Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.tsp.domain
Class TravelingSalesmanTour

    java.lang.Object
      org.optaplanner.examples.common.domain.AbstractPersistable
          org.optaplanner.examples.tsp.domain.TravelingSalesmanTour

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>, Solution<SimpleScore>

    public class TravelingSalesmanTour

extends AbstractPersistable
implements Solution<SimpleScore>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`TravelingSalesmanTour()`

Method Summary
`boolean` | `equals(Object o)`
`List<City>` | `getCityList()`
`List<Domicile>` | `getDomicileList()`
`String` | `getName()`
`Collection<? extends Object>` | `getProblemFacts()` Called by the `DroolsScoreDirector` when the `Solution` needs to be inserted into an empty `KieSession`.
`SimpleScore` | `getScore()` Returns the Score of this Solution.
`List<Visit>` | `getVisitList()`
`int` | `hashCode()`
`void` | `setCityList(List<City> cityList)`
`void` | `setDomicileList(List<Domicile> domicileList)`
`void` | `setName(String name)`
`void` | `setScore(SimpleScore score)` Called by the `Solver` when the Score of this Solution has been calculated.
`void` | `setVisitList(List<Visit> visitList)`

Methods inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TravelingSalesmanTour

    public TravelingSalesmanTour()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getCityList

    public List<City> getCityList()

### setCityList

    public void setCityList(List<City> cityList)

### getDomicileList

    public List<Domicile> getDomicileList()

### setDomicileList

    public void setDomicileList(List<Domicile> domicileList)

### getVisitList

    public List<Visit> getVisitList()

### setVisitList

    public void setVisitList(List<Visit> visitList)

### getScore

    public SimpleScore getScore()

  Description copied from interface: `Solution`
  Returns the Score of this Solution.

  Specified by:
    `getScore` in interface `Solution<SimpleScore>`
  Returns:
    null if the Solution is uninitialized or the last calculated Score is dirty the new Score has not yet been recalculated

### setScore

    public void setScore(SimpleScore score)

  Description copied from interface: `Solution`
  Called by the `Solver` when the Score of this Solution has been calculated.

  Specified by:
    `setScore` in interface `Solution<SimpleScore>`
  Parameters:
    `score` - null if the Solution has changed and the new Score has not yet been recalculated

### getProblemFacts

    public Collection<? extends Object> getProblemFacts()

  Description copied from interface: `Solution`
  Called by the `DroolsScoreDirector` when the `Solution` needs to be inserted into an empty `KieSession`. These facts can be used by the score rules. They don't change during planning (except through `ProblemFactChange` events).

  Do not include the planning entities as problem facts: they are automatically inserted into the `KieSession` if and only if they are initialized. When they are initialized later, they are also automatically inserted.

  Specified by:
    `getProblemFacts` in interface `Solution<SimpleScore>`
  Returns:
    never null (although an empty collection is allowed), all the facts of this solution except for the planning entities

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.